Skip to content
iTick
  1. Docs
  2. REST API
  3. Indices
  4. Batch Real-Time Quote

Batch Real-Time Quote

Batch real-time quote data for major global stock indices, covering core indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, S&P 500, Nasdaq, and Hang Seng. Provides complete market indicators for each index including latest price, price change, trading volume, and amplitude, with millisecond-level update frequency.

GET/indices/quotes

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

onumber

Opening price

pnumber

Previous Closing Price

hnumber

Highest price

lnumber

Lowest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

tunumber

Trading amount

tsnumber

Trading status of the symbol

chnumber

Change

chpnumber

Change %

Code Examples

import requests

url = "https://api.itick.org/indices/quotes?region=GB&codes=SPX,DJI"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/indices/quotes?region=GB&codes=SPX,DJI

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "SPX": {
      "s": "SPX",
      "ld": 6827.42,
      "o": 6886.85,
      "p": 6886.85,
      "h": 6899.85,
      "l": 6801.79,
      "t": 1765573268000,  // 2025-12-12 21:01:08 UTC
      "v": 3086000000,
      "tu": 21106572620000,
      "ch": -73.59,
      "chp": -1.07,
      "ts": 0
    },
    "DJI": {
      "s": "DJI",
      "ld": 48458.06,
      "o": 48714.75,
      "p": 48714.75,
      "h": 48886.86,
      "l": 48334.1,
      "t": 1765574400000,  // 2025-12-12 21:20:00 UTC
      "v": 992800000,
      "tu": 48155853266000,
      "ch": -245.96,
      "chp": -0.51,
      "ts": 0
    }
  }
}